


/********** Template CSS **********/
:root {
    --primary: #EB1616;
    --secondary: #f4f4f4;
    --linear_color:#AC1E44;
    /*linear-gradient(102.2deg, rgb(250, 45, 66) 9.6%, rgb(245, 104, 104) 96.1%);*/
    --light_icons:#fff;
    --dark: #000000;
    --color_body:#f4f4f4;
    --green_liner:radial-gradient(circle at 10% 20%, rgb(255, 200, 124) 0%, rgb(252, 251, 121) 90%);
}
*{
    font-size: 15px;
}
.top_nav{
    background: var(--linear_color) !important;
    color:var(--light_icons) !important;
}
.global_date{
    background: var(--color_body) !important;
}

.old_cluster{
    /* background: var(--linear_color);
    color: var(--light_icons); */
}
.internal_report_pdf{
    background: var(--linear_color);
    padding: 1rem;
}
.swal2-title {
    font-size: 1.4em !important;
}
.dropdown-menu {
    border-left: 0px;
    border-top: 0px;
    border-bottom: 0px;
    border-right:solid 2px  rgba(0,0,0,.15);
}

@media print{
    .internal_report_pdf img{
        width: 25%;
    }
    table{
        /* border: solid  10px black; */
       }
       td{
        border: solid  5px black;
       }
    
       tr{
        border: solid  5px black;
       }
       .print_hide{
            display: none;
       }
    footer {
        display: none;
    }
    .report_container{
        display: grid;
        grid-template-columns: 10% 90%;
        font-size: 12px !important;
        background: var(--linear_color);
        padding: 1rem;
        margin-bottom: 5rem;
        color: #fff;
        border-radius: 30px;  
    }
  
    .section_padding{
        display:none;
    }
    .brand_icon_print{
       display:block;
       width:100%;
       height:auto;
    }
    .print_image{
        display:none;
        width:30% !important;
    }
    .search_container{
        display:none;
    }
    .fa-print{
        color:red;
    }
    .badge{
        background: red;
        color:white;
    }
    nav{
        display:none;
        box-shadow: 0px;
        visibility: hidden;
    }
    .nav-link {
      visibility: hidden;
    }
   a{
      visibility: hidden;
   }
  section{
    margin-bottom:18rem !important;
  }
  .print_page{
   visibility: hidden;
  }
  .export_excel{
    visibility: hidden;
  }
  .back-to-top{
      visibility: hidden;
  }
  body {
  -webkit-print-color-adjust: exact;
  -moz-print-color-adjust: exact;
  -ms-print-color-adjust: exact;
  print-color-adjust: exact;
  background: transparent !important;
    margin: .5rem;
    font-size: 12pt !important;
  }
  .container-fluid{
      padding: 0 !important;
      /* background: black; */
      margin-top: -4rem;

   
  }
  .sidebar{
      visibility: hidden;
  }
  .content{
      width:100vw; 
    height:100vh;
    background: transparent !important;
      
  }
  .table{
      width: 100vw;

  }
  .back_btn{
      visibility: hidden;
  }


  @page {     size: 8.5in 11in;  /* width height */}
  
   }

/* ================= custome css============= */
.bridge_circle{
    position: relative;
    width: 80px;
    height: 80px;

    border-radius: 50%;
    border: solid 5px var(--primary);
}
.config_cards{
    height: 100%;
    font-size: 1rem;
    font-weight: 700;
}

.bridge_circle h6{
    position: absolute;
    left: 30%;
    top: 30%;
    margin: auto;
    font-size: 1rem;
    font-weight: 700;
}
.tab_content{
    background:var(--color_body);
}
.nav-tabs{
    background: var(--secondary); 
}
.nav-tabs .nav-link.active, .nav-tabs .nav-item.show .nav-link {
    color: var(--light_icons);
   background: var(--linear_color);
   border-radius: 1rem;
    /* border-color: var(--dark); */
}
.nav-tabs .nav-link,  .nav-tabs .nav-item.show .nav-link {
    color: var(--light);
 
}
.page-item.active .page-link{
    background: var(--linear_color) !important;
    border-color: var(--primary) !important;
    color: var(--color_body) !important;
}
.page-link{
        color: var(--dark) !important;
}
tr{
    transition: all .5s ease;
}
tr:hover,.odd .even{
    color: white !important;
    background: var(--linear_color);
  
    cursor: pointer;
    /* border: solid 1px white; */
}
.bordered.dataTable td {
    border-left-width: 1px !important;
}
table.dataTable {

    border-collapse: collapse !important;
}
div.dataTables_wrapper div.dataTables_filter {
    margin-top: 1rem !important;
}
.modal-header{
    background: var(--secondary);
    color: var(--light);
    font-weight: 900;
    font-size: 1.2rem;
}
.loc_search{
    position: relative;
}
.destination{
    position: absolute;
    height: 100%;
}
.search_btn{
    position: absolute;
    top: 0;
    width: 20%;
    height: 40.2px;
    background: var(--linear_color);
    color: #fff;
    right: 0;
    display: none;
}
.search_icon{
    position: absolute;
    margin: auto;
}
.modal-header h5{
    color: var(--light);
}
.btn-close{
    color: var(--primary) !important;
}
.modal-body{
    background: var(--secondary)
}
.modal-footer{
    background: var(--secondary);
}

.modal-backdrop {
    background-color:rgba(0, 0, 0, 0.4);
 }
 .add_btn{
    display: flex;
    flex-direction: row;
    justify-content: end;
 }
 /* .add_btn button{
    width: 10%;
 } */

 .remove_fields{
    width: 100%;
 }
 .form-control-lg{
    font-size: 1rem !important;
 }
 .form-select-lg{
    font-size: 1rem !important;

    transform: translateX();
 }

 .general_btn{
    border-radius: 2rem;
    background: var(--linear_color);
    padding: .6rem;
    border: solid 1px var(--light);
    width: 25%;
    color: var(--light_icons);
    transition: all 9s ease;
    transform: scale(1);
 }
 .general_btn:hover{
    color: white;
    transform: scale(1.09);
 }
 .black_btn{
    border-radius: 2rem;
    background: var(--dark);
    padding: .6rem;
    border: solid 1px var(--light);
    width: 25%;
    color: var(--light_icons);
    transition: all 9s ease;
    transform: scale(1);
 }
 .black_btn:hover{
        color: white;
        transform: scale(1.09);
 }

 .small_btn{
    border-radius: 2rem;
    background: var(--linear_color);
    border: solid 1px var(--light);
    float: right;
    color: var(--light_icons);
    transform: scale(1);
    transition: all 5s ease; 
 }
 .small_btn:hover{
    color: white;
    transform: scale(1.09);
 }

.report_container{
    display: grid;
    grid-template-columns: 10% 90%;
    font-size: 12px;
    background: var(--linear_color);
    padding: 1rem;
    margin-top: 1rem;
    color: #fff;
    border-radius: 10px;  
}
.skynet_side{
    padding: 10px;
}
.client_side{
    background: var(--color_body);
    padding: 10px;
}
.report_cards{
    display: flex;
    flex-direction: column;
    align-items: center;
    padding: 1rem;
    font-weight: 600;
    margin-top: 1rem;
}
.merge_card{
    padding: .5rem;
    font-weight: 600;   
}
.report_cards{
    cursor: pointer;
}


 .card_icons{
    color: rgb(250, 45, 66) !important
 }
 thead{
    background: var(--linear_color);
    color: #fff;
 }
 .modal-header{
    background: var(--linear_color);
    color: white;
 }
 .card-body{
    background: var(--color_body);
 }
 /* .general_btn:hover{
        cursor: pointer;
        background: var(--primary);
        color:white;
        border: solid 1px white;
 } */
 .green_btn{
    background: var(--green_liner) !important;
    color: var(--dark) !important;
    font-style: italic;
 }
    input{
        border-radius: .5rem;
    }
 .gen_container{
    padding: 1rem;
    /* display: flex;
    flex-direction: row;
    justify-content: space-between; */
    display: grid;
    grid-template-columns: 25% 20% 25% 18% 12%;
    border-radius: 1rem;
    font-style: italic;
    font-size: 1rem;
    box-shadow: rgba(149, 157, 165, 0.2) 0px 8px 24px;
    transition: all 300ms ease;
    transform: scale(1);
 }
 .gen_container:hover{
    cursor: pointer;
    transform: scale(.97);
 }
 .invoice_top_container{
    transform: scale(1);
    width: 50%;
    /* background: red; */
 }
 /* .get_invoice_preview{
    border: solid 1px var(--dark);
 } */
 .btn_active{
    background: var(--linear_color);
    color: white;
 }
 .next_invoice:hover{
    background: var(--linear_color);
    color: white;
 }
 .search_contain{
    display: flex;
    flex-direction: row;
    justify-content: flex-end;
    margin-bottom: -2.7rem;
    width: 50%;
    margin-left: 50%;
    z-index: 100;
    
 }
 /* .search_invoice{
    z-index: 100;
 } */


 .dudp__wrapper[data-theme=blue] .dudp__calendar-header {
    background: var(--linear_color) !important;
}

 .dudp__wrapper[data-theme=blue] .dudp__buttons .dudp__button{
    color: var(--primary) !important;
 }
 .dudp__wrapper[data-theme=blue] .dudp__calendar .dudp__cal-week .dudp__date.in-range, .dudp__wrapper[data-theme=blue] .dudp__calendar .dudp__cal-week .dudp__date.range-from, 
 .dudp__wrapper[data-theme=blue] .dudp__calendar .dudp__cal-week .dudp__date.range-to{
    
    background-color: rgba(235, 22, 22, 0.507) !important;
 }
 .dudp__wrapper[data-theme=blue] .dudp__calendar .dudp__cal-week .dudp__date.range-from{
    background: var(--primary) !important;
 }
 .dudp__wrapper[data-theme=blue] .dudp__calendar .dudp__cal-week .dudp__date.current {
    color: var(--primary) !important;
}
.dudp__wrapper[data-theme=blue] .dudp__calendar .dudp__cal-week .dudp__date.current {
    /* background: var(--linear_color) !important; */
    border-radius: 50% !important;
    border: solid 1px var(--primary) !important;
    color: var(--primary) !important
}
.dcalendarpicker .dudp__cal-container .dudp__calendar .dudp__cal-week .dudp__date.range-from, .dcalendarpicker .dudp__cal-container .dudp__calendar .dudp__cal-week .dudp__date.range-to, .dcalendarpicker .dudp__cal-container .dudp__calendar .dudp__cal-week .dudp__date.selected {
    font-weight: 400;
    color: #fff!important;
    background: var(--dark);
    border-radius: 50%;
}
 .spinner-border{
    color: #EB1616 !important;
 }
 .traff_switch{
    float: right !important;
    margin-top: 1.8rem;
    /* width: 3em !important; */
 }
 .general_icons{
    color: var(--primary);
 }
 .tarrif_label{
    margin-left: -4.5em !important;
 }

 .form-check-input:checked {
    background-color: var(--primary) !important;
    border-color: var(--primary);
    color: white !important;
}
 .spin_bk{
    background: var(--color_body);
 }

 .action_btn{
    width: 40px;
    height:40px;
    padding: .1rem;
    background: #fff;
    color: var(--primary);
    border: solid 1px var(--secondary);
    border-radius: 50%;
    /* background: yellow !important; */
 }
 .agline{
    display: flex;
    flex-direction: row;
    justify-content: center;
    gap: 1rem;
 }



 ::-webkit-scrollbar {
    width: 15px;
  }
  
  /* Track */
  ::-webkit-scrollbar-track {
    box-shadow: inset 0 0 5px grey; 
    border-radius: 10px;
  }
   
  /* Handle */
  ::-webkit-scrollbar-thumb {
    background: gray;
    border-radius: 10px;
  }
  
  /* Handle on hover */
  ::-webkit-scrollbar-thumb:hover {
    background: var(--linear_color); 
  }

/* =============== end of custome css========= */

































.back-to-top {
    position: fixed;
    display: none;
    background: var(--linear_color);
    right: 45px;
    bottom: 45px;
    z-index: 99;
    color: var(--light_icons);
}


/*** Spinner ***/
#spinner {
    opacity: 0;
    visibility: hidden;
    transition: opacity .5s ease-out, visibility 0s linear .5s;
    z-index: 99999;
}

#spinner.show {
    transition: opacity .5s ease-out, visibility 0s linear 0s;
    visibility: visible;
    opacity: 1;
}


/*** Button ***/
.btn {
    transition: .5s;
}

.btn-square {
    width: 38px;
    height: 38px;
}

.btn-sm-square {
    width: 32px;
    height: 32px;
}

.btn-lg-square {
    width: 48px;
    height: 48px;
}

.btn-square,
.btn-sm-square,
.btn-lg-square {
    padding: 0;
    display: inline-flex;
    align-items: center;
    justify-content: center;
    font-weight: normal;
    border-radius: 50px;
}


/*** Layout ***/
.sidebar {
    position: fixed;
    top: 0;
    left: 0;
    bottom: 0;
    width: 250px;
    height: 100vh;
    overflow-y: auto;
    background: var(--secondary);
    box-shadow: rgba(0, 0, 0, 0.35) 0px 5px 15px;
    transition: 0.5s;
    z-index: 999;
}
.widge_bk{
    box-shadow: rgba(0, 0, 0, 0.35) 0px 2px 5px; 
    border-radius: 1rem;
    transition: all 300ms ease;
}
.back_btn{
    background: var(--linear_color);
    color: #fff;
    font-weight: 700;
}
.back_content{
    display: grid;
    grid-template-columns: 15% 85%;
    gap: 1rem;
}
.widge_bk:hover{

    box-shadow: rgba(0, 0, 0, 0.35) 0px 5px 15px; 
}
.login_body{
    box-shadow: rgba(0, 0, 0, 0.35) 0px 2px 5px; 
    border-radius: 5rem;
}
.login_head{

    display: flex;
    flex-direction: column;
    justify-content:center;
    align-items: center;
    gap: 2rem;
 
}
.login_head h2{
    font-weight: 900;
}
.side_nav{
    
}

.content {
    margin-left: 250px;
    min-height: 100vh;
    background: var(--color_body);
    transition: 0.5s;
}
body{
    background: var(--color_body);
}
@media (min-width: 992px) {
    .sidebar {
        margin-left: 0;
    }

    .sidebar.open {
        margin-left: -250px;
    }

    .content {
        width: calc(100% - 250px);
    }

    .content.open {
        width: 100%;
        margin-left: 0;
    }
}

@media (max-width: 991.98px) {
    .sidebar {
        margin-left: -250px;
    }

    .sidebar.open {
        margin-left: 0;
    }

    .content {
        width: 100%;
        margin-left: 0;
    }
}


/*** Navbar ***/
.sidebar .navbar .navbar-nav .nav-link {
    padding: 7px 20px;
    color: var(--light);
    font-weight: 500;
    border-left: 3px solid var(--secondary);
    border-radius: 0 30px 30px 0;
    outline: none;
}

.sidebar .navbar .navbar-nav .nav-link:hover,
.sidebar .navbar .navbar-nav .nav-link.active {
    color: var(--dark);
    background: var(--linear_color);
    border-color: var(--dark);
}

.sidebar .navbar .navbar-nav .nav-link i {
    width: 40px;
    height: 40px;
    display: inline-flex;
    align-items: center;
    justify-content: center;
    /* background: var(--dark); */
    border-radius: 40px;
}

.sidebar .navbar .navbar-nav .nav-link:hover i,
.sidebar .navbar .navbar-nav .nav-link.active i {
    background: var(--light_icons);
}

.sidebar .navbar .dropdown-toggle::after {
    position: absolute;
    top: 15px;
    right: 15px;
    border: none;
    content: "\f107";
    font-family: "Font Awesome 5 Free";
    font-weight: 900;
    transition: .5s;
}

.sidebar .navbar .dropdown-toggle[aria-expanded=true]::after {
    transform: rotate(-180deg);
}

.sidebar .navbar .dropdown-item {
    padding-left: 25px;
    border-radius: 0 30px 30px 0;
    color: var(--light);
}

.sidebar .navbar .dropdown-item:hover,
.sidebar .navbar .dropdown-item.active {
    background: var(--dark);
}

.content .navbar .navbar-nav .nav-link {
    margin-left: 25px;
    padding: 12px 0;
    color: var(--light);
    outline: none;
}

.content .navbar .navbar-nav .nav-link:hover,
.content .navbar .navbar-nav .nav-link.active {
    color: var(--dark);
}

.content .navbar .sidebar-toggler,
.content .navbar .navbar-nav .nav-link i {
    width: 40px;
    height: 40px;
    display: inline-flex;
    align-items: center;
    justify-content: center;
    /* background: var(--light_icons); */
    border-radius: 40px;
}

.content .navbar .dropdown-item {
    color: var(--light);
}

.content .navbar .dropdown-item:hover,
.content .navbar .dropdown-item.active {
    background: var(--dark);
}

.content .navbar .dropdown-toggle::after {
    margin-left: 6px;
    vertical-align: middle;
    border: none;
    content: "\f107";
    font-family: "Font Awesome 5 Free";
    font-weight: 900;
    transition: .5s;
}

.content .navbar .dropdown-toggle[aria-expanded=true]::after {
    transform: rotate(-180deg);
}

@media (max-width: 575.98px) {
    .content .navbar .navbar-nav .nav-link {
        margin-left: 15px;
    }
    .gen_container{
        padding: 1rem;
        display: grid;
        grid-template-columns: 1fr;
        border-radius: 1rem;
        font-style: italic;
        align-items: center;
        font-size: 1rem;
        box-shadow: rgba(149, 157, 165, 0.2) 0px 8px 24px;
        transition: all 300ms ease;
        transform: scale(1);
     }
}


/*** Date Picker ***/
.bootstrap-datetimepicker-widget.bottom {
    top: auto !important;
}

.bootstrap-datetimepicker-widget .table * {
    border-bottom-width: 0px;
}

.bootstrap-datetimepicker-widget .table th {
    font-weight: 500;
}

.bootstrap-datetimepicker-widget.dropdown-menu {
    padding: 10px;
    border-radius: 2px;
}

.bootstrap-datetimepicker-widget table td.active,
.bootstrap-datetimepicker-widget table td.active:hover {
    background: var(--primary);
}

.bootstrap-datetimepicker-widget table td.today::before {
    border-bottom-color: var(--primary);
}
td{
    font-size: 15px;
 }

/*** Testimonial ***/
.progress .progress-bar {
    width: 0px;
    transition: 2s;
}


/*** Testimonial ***/
.testimonial-carousel .owl-dots {
    margin-top: 24px;
    display: flex;
    align-items: flex-end;
    justify-content: center;
}

.testimonial-carousel .owl-dot {
    position: relative;
    display: inline-block;
    margin: 0 5px;
    width: 15px;
    height: 15px;
    border: 5px solid var(--primary);
    border-radius: 15px;
    transition: .5s;
}

.testimonial-carousel .owl-dot.active {
    background: var(--dark);
    border-color: var(--primary);
}